<template>
    
        <div class="conteiner-houses">
            <div class="conteiner-house">
            <div class="house">
                <h2>{{product_data.name}}</h2>
                 <p>{{product_data.price}}$</p>
            </div>
            <router-link  to="/Order" tag="button" ><div @click="addToCart">BUY</div> </router-link> 
                        
            
             </div>
                       
        </div>
    
</template>

<script>
export default {
    props:{
       product_data:{
           type: Object,
           default() {
               return {}
           }
       }  
    },
    methods:{
        addToCart(){
            this.$emit('addToCart',this.product_data);
        }
    
}
}
</script>

<style scoped>


.conteiner-houses{
   
  display:inline-flex;
 
 
} 
.conteiner-house{
    margin-left:20px ;
}

.house {
    width: 175px;
    height: 210px;
    border: 1px solid black;
    text-align: center;
}

.house p{
    margin-top: 140px;
}

.conteiner-houses button{
   border-top: none;
   width: 177px;  
   height: 50px;
   border: 1px solid green;   
   font-size: 23px;
   background-color: #d5e8d4 ;
   cursor: pointer;

}

.conteiner-conditions{
    margin-top: 30px;
    margin-left: 20px;
    border: 2px solid black;
    width: 97%;
    text-align: center;
}
.conteiner-conditions p:last-child{
    font-size: 11px;
    padding: 6px 6px 6px 6px;
}

@media (max-width: 420px) {

    .conteiner-houses{
        display: flex;
         flex-wrap: wrap;
    }
}
</style>